Package ru.bitel.bgbilling.plugins.fias.common.bean.bgbean

# Class AddressObj

java.lang.Object
ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.AddressObj

All Implemented Interfaces:
  `GuiTitlable`

Direct Known Subclasses:
  `FiasCity`, `FiasStreet`

public class AddressObj extends Object implements GuiTitlable

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `aoguid`
  `protected String`
  `code`
  `protected String`
  `level`
  `protected String`
  `offname`
  `protected String`
  `postalcode`
  `protected String`
  `region`
  `protected String`
  `shortname`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddressObj()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAoguid()`
  `String`
  `getBgTitle()`
  `String`
  `getCode()`
  `String`
  `getFiasTitle()`
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `int`
  `getId()`
  `String`
  `getLevel()`
  `String`
  `getOffname()`
  `String`
  `getParentguid()`
  `String`
  `getPostalcode()`
  `String`
  `getRegion()`
  `String`
  `getShortname()`
  `void`
  `setAddressObj(AddressObj obj)`
  `void`
  `setAoguid(String aoguid)`
  `void`
  `setBgTitle(String bgTitle)`
  `void`
  `setCode(String code)`
  `void`
  `setId(int id)`
  `void`
  `setLevel(String level)`
  `void`
  `setOffname(String offname)`
  `void`
  `setParentguid(String parentguid)`
  `void`
  `setPostalcode(String postalcode)`
  `void`
  `setRegion(String region)`
  `void`
  `setShortname(String socr)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### aoguid

    protected String aoguid

  - ### code

    protected String code

  - ### shortname

    protected String shortname

  - ### offname

    protected String offname

  - ### level

    protected String level

  - ### postalcode

    protected String postalcode

  - ### region

    protected String region

- ## Constructor Details

  - ### AddressObj

    public AddressObj()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getFiasTitle

    public String getFiasTitle()

  - ### getAoguid

    public String getAoguid()

  - ### setAoguid

    public void setAoguid(String aoguid)

  - ### getCode

    public String getCode()

  - ### setCode

    public void setCode(String code)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getShortname

    public String getShortname()

  - ### setShortname

    public void setShortname(String socr)

  - ### getOffname

    public String getOffname()

  - ### setOffname

    public void setOffname(String offname)

  - ### getLevel

    public String getLevel()

  - ### setLevel

    public void setLevel(String level)

  - ### getPostalcode

    public String getPostalcode()

  - ### setPostalcode

    public void setPostalcode(String postalcode)

  - ### getRegion

    public String getRegion()

  - ### setRegion

    public void setRegion(String region)

  - ### getParentguid

    public String getParentguid()

  - ### setParentguid

    public void setParentguid(String parentguid)

  - ### getBgTitle

    public String getBgTitle()

  - ### setBgTitle

    public void setBgTitle(String bgTitle)

  - ### setAddressObj

    public void setAddressObj(AddressObj obj)

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.